org.apache.lucene.codecs

## Class BlockTreeTermsReader.Stats

- java.lang.Object
- - org.apache.lucene.codecs.BlockTreeTermsReader.Stats

- Enclosing class:
    BlockTreeTermsReader

      public static class BlockTreeTermsReader.Stats
      extends Object

  BlockTree statistics for a single field returned by `BlockTreeTermsReader.FieldReader.computeStats()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `blockCountByPrefixLen` Number of blocks at each prefix depth.
    `String` | `field` Field name.
    `int` | `floorBlockCount` The number of floor blocks (meta-blocks larger than the allowed `maxItemsPerBlock`) in the terms file.
    `int` | `floorSubBlockCount` The number of sub-blocks within the floor blocks.
    `long` | `indexArcCount` How many arcs in the index FST.
    `long` | `indexNodeCount` How many nodes in the index FST.
    `long` | `indexNumBytes` Byte size of the index.
    `int` | `mixedBlockCount` The number of "internal" blocks (that have both terms and sub-blocks).
    `int` | `nonFloorBlockCount` The number of normal (non-floor) blocks in the terms file.
    `String` | `segment` Segment name.
    `int` | `subBlocksOnlyBlockCount` The number of "internal" blocks that do not contain terms (have only sub-blocks).
    `int` | `termsOnlyBlockCount` The number of "leaf" blocks (blocks that have only terms).
    `int` | `totalBlockCount` Total number of blocks.
    `long` | `totalBlockOtherBytes` Total bytes stored by the `PostingsBaseFormat`, plus the other few vInts stored in the frame.
    `long` | `totalBlockStatsBytes` Total number of bytes used to store term stats (not including what the `PostingsBaseFormat` stores.
    `long` | `totalBlockSuffixBytes` Total number of bytes used to store term suffixes.
    `long` | `totalTermBytes` Total number of bytes (sum of term lengths) across all terms in the field.
    `long` | `totalTermCount` Total number of terms in the field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### indexNodeCount

          public long indexNodeCount

      How many nodes in the index FST.

    - #### indexArcCount

          public long indexArcCount

      How many arcs in the index FST.

    - #### indexNumBytes

          public long indexNumBytes

      Byte size of the index.

    - #### totalTermCount

          public long totalTermCount

      Total number of terms in the field.

    - #### totalTermBytes

          public long totalTermBytes

      Total number of bytes (sum of term lengths) across all terms in the field.

    - #### nonFloorBlockCount

          public int nonFloorBlockCount

      The number of normal (non-floor) blocks in the terms file.

    - #### floorBlockCount

          public int floorBlockCount

      The number of floor blocks (meta-blocks larger than the allowed `maxItemsPerBlock`) in the terms file.

    - #### floorSubBlockCount

          public int floorSubBlockCount

      The number of sub-blocks within the floor blocks.

    - #### mixedBlockCount

          public int mixedBlockCount

      The number of "internal" blocks (that have both terms and sub-blocks).

    - #### termsOnlyBlockCount

          public int termsOnlyBlockCount

      The number of "leaf" blocks (blocks that have only terms).

    - #### subBlocksOnlyBlockCount

          public int subBlocksOnlyBlockCount

      The number of "internal" blocks that do not contain terms (have only sub-blocks).

    - #### totalBlockCount

          public int totalBlockCount

      Total number of blocks.

    - #### blockCountByPrefixLen

          public int[] blockCountByPrefixLen

      Number of blocks at each prefix depth.

    - #### totalBlockSuffixBytes

          public long totalBlockSuffixBytes

      Total number of bytes used to store term suffixes.

    - #### totalBlockStatsBytes

          public long totalBlockStatsBytes

      Total number of bytes used to store term stats (not including what the `PostingsBaseFormat` stores.

    - #### totalBlockOtherBytes

          public long totalBlockOtherBytes

      Total bytes stored by the `PostingsBaseFormat`, plus the other few vInts stored in the frame.

    - #### segment

          public final String segment

      Segment name.

    - #### field

          public final String field

      Field name.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.